Skip to main content

An IDE, PIM and Outliner

Project description

Leo http://leoeditor.com 6.7.0 is now available on GitHub and pypi.

Leo, http://leoeditor.com is an IDE, outliner and PIM.

The highlights of Leo 6.7.0

The 6.7.0 version denotes significant changes to Leo's code base.

  • Leo now requires Python 3.9 or later.
  • Enhance leoserver.py to support leoInteg and leoJS.
  • Importers no longer generate underindented escape strings.
  • Delete all of Leo's cover- and test- commands.
  • Allow unit tests to run with the Qt gui.
  • Several mass code updates:
    • Annotate Leo's core files and important plugins.
    • Simplify all of Leo's importers.
    • Speed Leo's redraw code by rewriting Leo's icon drawing logic.
    • Retire Tk indices, except in unit tests.
  • The usual assortment of minor bug fixes.

Links

Project details


Download files

Download the file for your platform. If you're not sure which to choose, learn more about installing packages.

Source Distribution

leo-6.7.0.tar.gz (7.9 MB view hashes)

Uploaded source

Built Distribution

leo-6.7.0-py3-none-any.whl (9.8 MB view hashes)

Uploaded py3

Supported by

AWS AWS Cloud computing Datadog Datadog Monitoring Facebook / Instagram Facebook / Instagram PSF Sponsor Fastly Fastly CDN Google Google Object Storage and Download Analytics Huawei Huawei PSF Sponsor Microsoft Microsoft PSF Sponsor NVIDIA NVIDIA PSF Sponsor Pingdom Pingdom Monitoring Salesforce Salesforce PSF Sponsor Sentry Sentry Error logging StatusPage StatusPage Status page